| GTK-EXTRA - Reference Manual

| Home

# Gtkcheckitem

## Name

Gtkcheckitem - widget for gtk+

## Synopsis

    GtkType

    gtk_check_item_get_type

    (void);

    GtkWidget *

    gtk_check_item_new

    (void);

    GtkWidget *

    gtk_check_item_new_with_label

    (const gchar *label);

    void

    gtk_check_item_construct_with_label

    (GtkCheckItem* check_item, const gchar *label);

## Object Hierarchy

     GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkBin
                         +----GtkButton
                               +----GtkToggleButton
                                     +----GtkCheckButton
                                          +----Gtkcheckitem

##
Args

## Signal Prototypes

    void (* draw_indicator) (GtkCheckItem *check_item,  GdkRectangle *area);

## Description

It is a GtkCheckButton hack with the look and feel of the Redmond95 theme.

##
Details

    struct _GtkCheckItem
    {
      GtkToggleButton toggle_button;
    };

### gtk_check_item_get_type ()

    GtkType gtk_check_item_get_type (void);

####

### gtk_check_item_new ()

    GtkWidget* gtk_check_item_new (void);

Create a new check item widget.

Returns : | a new check item widget

### gtk_check_item_new_with_label ()

    GtkWidget* gtk_check_item_new_with_label (const gchar *label);

Create a new check item with label

label | a new check item widget with a label

### gtk_check_item_construct_with_label ()

    void gtk_check_item_construct_with_label (GtkCheckItem* check_item, const gchar *label);

Initialize a check item with a label

check_item | check item widget
label | label of the button

## Signals

### The "draw_indicator" signal

    void (* draw_indicator) (GtkCheckItem *check_item,
                             GdkRectangle *area);

Should be connected if you wish to perform an action whenever the check item(check button) is pressed.

check_item | check item widget
area | ara of the check item

| Home |  |